/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { __decorate } from "tslib";
import { customElement } from 'lit/decorators.js';
import { styles as elevatedStyles } from './lib/elevated-styles.css.js';
import { FilterChip } from './lib/filter-chip.js';
import { styles } from './lib/filter-styles.css.js';
import { styles as selectableStyles } from './lib/selectable-styles.css.js';
import { styles as sharedStyles } from './lib/shared-styles.css.js';
import { styles as trailingIconStyles } from './lib/trailing-icon-styles.css.js';
/**
 * TODO(b/243982145): add docs
 *
 * @final
 * @suppress {visibility}
 */
let MdFilterChip = class MdFilterChip extends FilterChip {
};
MdFilterChip.styles = [
    sharedStyles, elevatedStyles, trailingIconStyles, selectableStyles, styles
];
MdFilterChip = __decorate([
    customElement('md-filter-chip')
], MdFilterChip);
export { MdFilterChip };
//# sourceMappingURL=filter-chip.js.map