/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { __decorate } from "tslib";
import { customElement } from 'lit/decorators.js';
import { InputChip } from './lib/input-chip.js';
import { styles } from './lib/input-styles.css.js';
import { styles as selectableStyles } from './lib/selectable-styles.css.js';
import { styles as sharedStyles } from './lib/shared-styles.css.js';
import { styles as trailingIconStyles } from './lib/trailing-icon-styles.css.js';
/**
 * TODO(b/243982145): add docs
 *
 * @final
 * @suppress {visibility}
 */
let MdInputChip = class MdInputChip extends InputChip {
};
MdInputChip.styles = [sharedStyles, trailingIconStyles, selectableStyles, styles];
MdInputChip = __decorate([
    customElement('md-input-chip')
], MdInputChip);
export { MdInputChip };
//# sourceMappingURL=input-chip.js.map