/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import '../../elevation/elevation.js';
import { nothing, PropertyValues } from 'lit';
import { Chip } from './chip.js';
/**
 * A filter chip component.
 */
export declare class FilterChip extends Chip {
    elevated: boolean;
    removable: boolean;
    selected: boolean;
    protected get primaryId(): string;
    constructor();
    protected updated(changedProperties: PropertyValues<FilterChip>): void;
    protected getContainerClasses(): {
        elevated: boolean;
        selected: boolean;
        disabled: boolean;
    };
    protected renderPrimaryAction(): import("lit-html").TemplateResult<1>;
    protected renderLeadingIcon(): import("lit-html").TemplateResult<2 | 1>;
    protected renderTrailingAction(): import("lit-html").TemplateResult<1> | typeof nothing;
    protected renderOutline(): import("lit-html").TemplateResult<1>;
}
