/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { Chip } from './chip.js';
/**
 * An input chip component.
 */
export declare class InputChip extends Chip {
    avatar: boolean;
    href: string;
    target: '_blank' | '_parent' | '_self' | '_top' | '';
    removeOnly: boolean;
    selected: boolean;
    protected get primaryId(): "" | "link" | "button";
    protected get rippleDisabled(): boolean;
    protected getContainerClasses(): {
        avatar: boolean;
        disabled: boolean;
        selected: boolean;
    };
    protected renderPrimaryAction(): import("lit-html").TemplateResult<1>;
    protected renderTrailingAction(): import("lit-html").TemplateResult<1>;
}
