/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { __decorate } from "tslib";
import { customElement } from 'lit/decorators.js';
import { styles as elevatedStyles } from './lib/elevated-styles.css.js';
import { styles as sharedStyles } from './lib/shared-styles.css.js';
import { SuggestionChip } from './lib/suggestion-chip.js';
import { styles } from './lib/suggestion-styles.css.js';
/**
 * TODO(b/243982145): add docs
 *
 * @final
 * @suppress {visibility}
 */
let MdSuggestionChip = class MdSuggestionChip extends SuggestionChip {
};
MdSuggestionChip.styles = [sharedStyles, elevatedStyles, styles];
MdSuggestionChip = __decorate([
    customElement('md-suggestion-chip')
], MdSuggestionChip);
export { MdSuggestionChip };
//# sourceMappingURL=suggestion-chip.js.map