/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { LitElement } from 'lit';
/**
 * A circular progress component.
 */
export declare class CircularProgress extends LitElement {
    /**
     * Progress to display, a fraction between 0 and 1.
     */
    progress: number;
    /**
     * Whether or not to display an animated spinner representing indeterminate
     * progress.
     */
    indeterminate: boolean;
    /**
     * Whether or not to render indeterminate mode using 4 colors instead of one.
     */
    fourColor: boolean;
    protected render(): import("lit-html").TemplateResult<1>;
    private renderDeterminateContainer;
    private renderIndeterminateContainer;
}
