/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { LitElement } from 'lit';
/**
 * A linear progress component.
 */
export declare class LinearProgress extends LitElement {
    /**
     * Whether or not to render indeterminate progress in an animated state.
     */
    indeterminate: boolean;
    /**
     * Progress to display, a fraction between 0 and 1.
     */
    progress: number;
    /**
     * Buffer amount to display, a fraction between 0 and 1.
     */
    buffer: number;
    /**
     * Whether or not to render indeterminate mode using 4 colors instead of one.
     *
     */
    fourColor: boolean;
    private readonly rootEl;
    private animationReady;
    private resizeObserver;
    protected render(): import("lit-html").TemplateResult<1>;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    private restartAnimation;
}
