/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { __decorate } from "tslib";
import { nothing } from 'lit';
import { property } from 'lit/decorators.js';
import { ListItemLink } from './list-item-link.js';
// tslint:disable-next-line:enforce-comments-on-exported-symbols
export class ListItemLinkOnly extends ListItemLink {
    constructor() {
        super(...arguments);
        /**
         * Removes the hover and click ripples from the item when true. Clicking the
         * link will still cause link navigation.
         */
        this.noninteractive = false;
    }
    getRenderClasses() {
        return {
            ...super.getRenderClasses(),
            'noninteractive': this.noninteractive,
        };
    }
    renderRipple() {
        return this.noninteractive ? nothing : super.renderRipple();
    }
}
__decorate([
    property()
], ListItemLinkOnly.prototype, "noninteractive", void 0);
//# sourceMappingURL=list-item-link-only.js.map